Package net.shibboleth.shared.spring.config

# Class StringToPeriodConverter

java.lang.Object
net.shibboleth.shared.spring.config.StringToPeriodConverter

All Implemented Interfaces:
  `Converter<String,Period>`

public class StringToPeriodConverter extends Object implements Converter<String,Period>
Allows setting of Period-valued properties using lexical string form.

## Constructor Summary

Constructors
Constructor
Description
`StringToPeriodConverter()`

## Method Summary

Modifier and Type
Method
Description
`Period`
`convert(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

## Constructor Details

### StringToPeriodConverter

public StringToPeriodConverter()

## Method Details

### convert

public Period convert(@Nonnull String source)

Specified by:
  `convert` in interface `Converter<String,Period>`